Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSDestinationMBean

All Known Subinterfaces:
  JMSQueueMBean, JMSTopicMBean

public interface JMSDestinationMBean
extends JMSDestCommonMBean, JMSConstants

This MBean represents a JMS destination. This can be a queue or a topic.

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, NOTHING, PERSISTENT, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`java.lang.String` | `getBytesPagingEnabled()` Return one of "true", "false", or "default".
`java.lang.String` | `getJNDIName()` Returns the JNDI name of the destination.
`java.lang.String` | `getMessagesPagingEnabled()` Return one of "true", "false", or "default".
`java.lang.String` | `getStoreEnabled()` Return one of "true", "false", or "default".
`JMSTemplateMBean` | `getTemplate()` Return the JMS template from which the destination is derived.
`boolean` | `isJNDINameReplicated()` If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster.
`void` | `setBytesPagingEnabled(java.lang.String enabled)` Set BytesPagingEnabled for the destination.
`void` | `setJNDIName(java.lang.String name)` Set the JNDI name of a destination.
`void` | `setJNDINameReplicated(boolean replicated)` If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster.
`void` | `setMessagesPagingEnabled(java.lang.String enabled)` Set MessagesPagingEnabled for the destination.
`void` | `setStoreEnabled(java.lang.String storeEnabled)` Set StoreEnabled for the destination.
`void` | `setTemplate(JMSTemplateMBean template)` Set the JMS template from which the destination is derived.

Methods inherited from interface weblogic.management.configuration.JMSDestCommonMBean
`addDestinationKey, getBytesMaximum, getBytesThresholdHigh, getBytesThresholdLow, getDeliveryModeOverride, getDestinationKeys, getErrorDestination, getMessagesMaximum, getMessagesThresholdHigh, getMessagesThresholdLow, getPriorityOverride, getRedeliveryDelayOverride, getRedeliveryLimit, getTimeToDeliverOverride, getTimeToLiveOverride, removeDestinationKey, setBytesMaximum, setBytesThresholdHigh, setBytesThresholdLow, setDeliveryModeOverride, setDestinationKeys, setErrorDestination, setMessagesMaximum, setMessagesThresholdHigh, setMessagesThresholdLow, setPriorityOverride, setRedeliveryDelayOverride, setRedeliveryLimit, setTimeToDeliverOverride, setTimeToLiveOverride`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getTemplate

    public JMSTemplateMBean getTemplate()

  Return the JMS template from which the destination is derived.

  If this attribute is not defined, then the attributes for the destination must be specified as part of the destination. The Template attribute setting per destination is static. The template attributes, however, can be modified dynamically.

  Note: Attributes that are set to their default values will inherit their destination values from the JMS template at run time. If this attribute is not defined, then the attributes for the destination must be specified as part of the destination.

### setTemplate

    public void setTemplate(JMSTemplateMBean template)
                     throws javax.management.InvalidAttributeValueException

  Set the JMS template from which the destination is derived.

  If this attribute is not defined, then the attributes for the destination must be specified as part of the destination. The Template attribute setting per destination is static. The template attributes, however, can be modified dynamically.

  Note: Attributes that are set to their default values will inherit their destination values from the JMS template at run time. If this attribute is not defined, then the attributes for the destination must be specified as part of the destination.

### getJNDIName

    public java.lang.String getJNDIName()

  Returns the JNDI name of the destination.

  This value is the name used to look up the destination within the JNDI namespace. If not specified, the destination name is not advertised through the JNDI namespace and cannot be looked up and used.

  This attribute is not dynamically configurable.

### setJNDIName

    public void setJNDIName(java.lang.String name)
                     throws javax.management.InvalidAttributeValueException

  Set the JNDI name of a destination.

  This value is the name used to look up the destination within the JNDI namespace. If not specified, the destination name is not advertised through the JNDI namespace and cannot be looked up and used.

  This attribute is not dynamically configurable.

### isJNDINameReplicated

    public boolean isJNDINameReplicated()

  If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster. If JNDINameReplicated is set to false, then the JNDI name for the destination (if present) is only visible from the server of which this destination is a part.

### setJNDINameReplicated

    public void setJNDINameReplicated(boolean replicated)
                               throws javax.management.InvalidAttributeValueException

  If JNDINameReplicated is set to true, then the JNDI name for the destination (if present) is replicated across the cluster. If JNDINameReplicated is set to false, then the JNDI name for the destination (if present) is only visible from the server of which this destination is a part.

  Default Value: true

### getStoreEnabled

    public java.lang.String getStoreEnabled()

  Return one of "true", "false", or "default".

  Flag specifying whether or not the destination uses the persistent store specified by the JMS server:

  - If this flag is enabled (true), but no persistent store is defined for the JMS Server, then the configuration fails and WebLogic JMS does not boot.

  - If this flag is disabled (false), then the destination does not support persistent messages.

  - If this flag is set to "default", then the destination uses the persistent store--if one is defined for the JMS server--and supports persistent messaging.

  This attribute is not dynamically configurable.

### setStoreEnabled

    public void setStoreEnabled(java.lang.String storeEnabled)
                         throws javax.management.InvalidAttributeValueException

  Set StoreEnabled for the destination.

  Flag specifying whether or not the destination uses the persistent store specified by the JMS server:

  - If this flag is enabled (true), but no persistent store is defined for the JMS Server, then the configuration fails and WebLogic JMS does not boot.

  - If this flag is disabled (false), then the destination does not support persistent messages.

  - If this flag is set to "default", then the destination uses the persistent store--if one is defined for the JMS server--and supports persistent messaging.

  This attribute is not dynamically configurable.

  Default Value: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT
  Legal Values: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT,weblogic.management.configuration.JMSConstants.ENABLED_FALSE,weblogic.management.configuration.JMSConstants.ENABLED_TRUE

### getMessagesPagingEnabled

    public java.lang.String getMessagesPagingEnabled()

  Return one of "true", "false", or "default".

  Flag for specifying whether or not messages paging is enabled on the destination:

  - If this flag is not selected (false), then messages paging is explicitly disabled for this destination.

  - If this flag is not selected (true), a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for this destination.

  - If this attribute is set to "default", then this value inherits the JMS template's value--if a JMS template is specified. If no template is configured for the destination, then the Default value is equivalent to False.

### setMessagesPagingEnabled

    public void setMessagesPagingEnabled(java.lang.String enabled)
                                  throws javax.management.InvalidAttributeValueException

  Set MessagesPagingEnabled for the destination.

  Flag for specifying whether or not messages paging is enabled on the destination:

  - If this flag is not selected (false), then messages paging is explicitly disabled for this destination.

  - If this flag is not selected (true), a paging store has been configured for the JMS Server, and both the MessagesThresholdLow and MessagesThresholdHigh attribute values are greater than -1, then messages paging is enabled for this destination.

  - If this attribute is set to "default", then this value inherits the JMS template's value--if a JMS template is specified. If no template is configured for the destination, then the Default value is equivalent to False.

  Default Value: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT
  Legal Values: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT,weblogic.management.configuration.JMSConstants.ENABLED_FALSE,weblogic.management.configuration.JMSConstants.ENABLED_TRUE

### getBytesPagingEnabled

    public java.lang.String getBytesPagingEnabled()

  Return one of "true", "false", or "default".

  Flag for specifying whether or not bytes paging is enabled on the destination:

  - If this flag is not selected (false), then bytes paging is explicitly disabled for this destination.

  - If this flag is not selected (true), a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for this destination.

  - If this attribute is set to "default", then this value inherits the JMS template's value--if a JMS template is specified. If no template is configured for the destination, then the Default value is equivalent to False.

### setBytesPagingEnabled

    public void setBytesPagingEnabled(java.lang.String enabled)
                               throws javax.management.InvalidAttributeValueException

  Set BytesPagingEnabled for the destination.

  Flag for specifying whether or not bytes paging is enabled on the destination:

  - If this flag is not selected (false), then bytes paging is explicitly disabled for this destination.

  - If this flag is not selected (true), a paging store has been configured for the JMS Server, and both the BytesThresholdLow and BytesThresholdHigh attribute values are greater than -1, then bytes paging is enabled for this destination.

  - If this attribute is set to "default", then this value inherits the JMS template's value--if a JMS template is specified. If no template is configured for the destination, then the Default value is equivalent to False.

  Default Value: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT
  Legal Values: weblogic.management.configuration.JMSConstants.ENABLED_DEFAULT,weblogic.management.configuration.JMSConstants.ENABLED_FALSE,weblogic.management.configuration.JMSConstants.ENABLED_TRUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference